Page MenuHomePhabricator

Explore the idea of having avatars on Flow
Open, Needs TriagePublic

Description

Based on a conversation that started on T167312: Add support for showing avatars on Flow boards when the SocialProfile extension is installed:

In any case, have avatars on Wikimedia projects will not be possible due to possible abuses (copyrighted images, offending images...).

I guess we should probably disable special:upload, then. And lose the avatars on phabricator, too!

Hmm, yeah, I agree wih Isarra. I find it a bit weird that they don't want to include avatar support for the Flow MediaWiki extension due to "to possible abuses (copyrighted images, offending images...)" when they have avatars for their other projects, such as Phabricator. It could be an optional thing which you could just enable or disable in the LocalSettings.php with a configuration parameter.

additionally, for those wiki's that host things from official channels, officially approved, like officially approved game wiki's, they could get approval of the copyright owners to use the avatars. In example, on yppedia (Puzzle Pirates official wikipedia), players can upload portrait photo's of their characters and crews. These are all in-game images and approved to be included in the wiki. The wiki is maintained by both the players and the ones who are managing the games.
For me personally, I am creating a game as we speak and setting up a wiki for it, so that it will be there when players start playing the game. I will give them the option to upload screenshots and portraits and such to the wiki, as well as offer avatars.
Is it an idea to have avatars uploaded with the same license options available as with normal files? I am aware it's not a guarantee, but it might help. :)

! In T167312#3335331, @Trizek-WMF wrote:

I think there is a confusion, because my first sentence was not really clear: I'm just saying we are not considering at the moment to have avatars on WMF wikis. But I'm not saying we will not support avatars on Flow for other wikis.


One overview of some of the complexities involved, is given at https://www.mediawiki.org/wiki/User:Isarra/Avatars
Other complexities include: Selfies at Commons, different cross-project cultural expectations/guidelines, page-size bloat for mobile users, ...

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 9 2017, 1:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

What I remember from my conversations with @Pginer-WMF (was from last year, iirc):

  • avatars are an alternative to costumed signatures on Flow (see T90055)
  • avatars can be offending or copyright violations. It is not always easy to solve those cases and the idea os not to add more work on admins' plates.
  • a possible way to have avatars that are not problematic would be to provide a set of safe icons to put on a set of colored backgrounds.

What I remember from my conversations with @Pginer-WMF (was from last year, iirc):

  • avatars are an alternative to costumed signatures on Flow (see T90055)
  • avatars can be offending or copyright violations. It is not always easy to solve those cases and the idea os not to add more work on admins' plates.
  • a possible way to have avatars that are not problematic would be to provide a set of safe icons to put on a set of colored backgrounds.

I illustrated that idea in T128953#3068624 (don't pay too much attention to the specific execution, but the concept).
I don't know if allowing images from Commons would be actually problematic, but I wanted to make the point that if that were the case, there are alternatives that can be explored.

If you really want a technical solution to possible copyright misuse, allowing files from commons is probably exactly what you should do. Unlike local projects, they don't have fair use images at all, and you can further narrow down options by only showing in search results files belonging to categories of licenses that are viable.

An approach might be to have as configuration where to allow files from (local/remote) and what categories to specifically allow or disallow. This would allow reasonable configuration for use cases across a lot of different sites, I expect.

If you really want a technical solution to possible copyright misuse, allowing files from commons is probably exactly what you should do. Unlike local projects, they don't have fair use images at all, and you can further narrow down options by only showing in search results files belonging to categories of licenses that are viable.
An approach might be to have as configuration where to allow files from (local/remote) and what categories to specifically allow or disallow. This would allow reasonable configuration for use cases across a lot of different sites, I expect.

Copyright misuse is one one the issues, and I agree that the current processes could help with that (although we need to take into account possible volume increase). However, we also need to meet the user expectations of simplicity for a process such as uploading your avatar image, which normally does not involve describing, categorising it, or sending an OTRS request to prove you got permission from the person that took you that picture.

Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 12 2018, 4:57 PM
Quiddity updated the task description. (Show Details)Oct 16 2018, 4:25 PM
Quiddity updated the task description. (Show Details)Oct 16 2018, 4:42 PM